<template>
  <div class="checkout-box">
    <header class="checkout-header">
      <h2>Guest Checkout</h2>
    </header>
    <form @submit.prevent="submitValues" class="checkout-form">
      <div class="form-group">
        <label for="wsuId">WSU ID:</label>
        <input type="text" id="wsuId" v-model="wsuId">
      </div>

      <div class="form-group">
        <label for="pounds">Pounds:</label>
        <input type="number" id="pounds" v-model.number="pounds" min="0">
      </div>

      <div class="form-actions">
        <button type="button" @click="clearInput">Cancel</button>
        <button type="submit" :disabled="!submitEnabled">Check Out</button>
      </div>
    </form>
  </div>
</template>

<script>
export default {
  name: 'Main',
  data() {
    return {
      wsuId: '',
      pounds: 0,
      submitEnabled: false,
    };
  },
  watch: {
    wsuId(newVal) {
      this.submitEnabled = newVal.trim() !== '' && this.pounds > 0;
    },
    pounds(newVal) {
      this.submitEnabled = this.wsuId.trim() !== '' && newVal > 0;
    }
  },
  methods: {
    submitValues() {
      console.log(`Submitting WSU ID: ${this.wsuId} with Pounds: ${this.pounds}`);
    },
    clearInput() {
      this.wsuId = '';
      this.pounds = 0;
      this.submitEnabled = false;
    },
  }
}
</script>

<style scoped>
.checkout-box {
  border: 1px solid #ccc;
  padding: 20px;
  margin: 20px auto;
  width: 300px;
  box-shadow: 0 2px 4px rgba(0,0,0,0.1);
  border-radius: 5px;
}

.checkout-header h2 {
  margin-top: 0;
  text-align: center;
}

.checkout-form {
  display: flex;
  flex-direction: column;
}

.form-group {
  display: flex;
  margin-bottom: 20px;
  align-items: center;
}

.form-group label {
  margin-right: 10px;
}

.form-actions {
  display: flex;
  justify-content: flex-end;
  gap: 10px;
}

.form-actions button {
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  font-weight: bold;
  cursor: pointer;
  transition: transform 0.2s ease-in-out, box-shadow 0.2s ease-in-out;
  margin-left: 10px;
}


.form-actions button[type="submit"] {
  background-color: #0077ff; 
  color: white; /* White text */
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}


.form-actions button[type="button"] {
  background-color: #ffffff; /* Red background */
  color: black; /* White text */
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.form-actions button:hover {
  transform: scale(1.05); /* Slightly scale up the buttons on hover */
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3); /* Increase the shadow size for depth effect */
}

.form-actions button:active {
  transform: scale(0.95); /* Slightly scale down the buttons when clicked */
}


</style>
